package com.scpyun.platform.jilinsscgsdp.bean.entity;

import com.scpyun.base.bean.User;

import java.util.List;

/**
 * 矛盾预警
 */
public class ConflictWarning {

    private String id;

    /**
     * 预警名称，如：一般风险预警值、复杂风险预警值、重大风险预警值
     */
    private String ConflictWarningName;

    /**
     * 预警值
     */
    private String ConflictWarningValue;

    private String createTime;
    private String updateTime;
    private String updateUser;
    private String createUser;
    private String delFlag;
    private List<ConflictWarning> list;
    private User _user;

    public List<ConflictWarning> getList() {
        return list;
    }

    public void setList(List<ConflictWarning> list) {
        this.list = list;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getConflictWarningName() {
        return ConflictWarningName;
    }

    public void setConflictWarningName(String conflictWarningName) {
        ConflictWarningName = conflictWarningName;
    }

    public String getConflictWarningValue() {
        return ConflictWarningValue;
    }

    public void setConflictWarningValue(String conflictWarningValue) {
        ConflictWarningValue = conflictWarningValue;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }
}
